%{!?_httpd_mmn: %global _httpd_mmn %(cat %{_includedir}/httpd/.mmn 2>/dev/null || echo 0-0)}

%global modsuffix authnz_external
%global conffile %{modsuffix}.conf
%global conffile2 10-%{modsuffix}.conf

Summary: An Apache module used for authentication
Name: mod_%{modsuffix}
Version: 3.3.3
Release:    1%{?dist}
License: ASL 1.0
URL: https://github.com/phokz/mod-auth-external/
Source0: https://github.com/phokz/mod-auth-external/archive/%{name}-%{version}.tar.gz
Source1: %{conffile}
Source2: %{conffile2}
Requires: pwauth, httpd-mmn = %{_httpd_mmn}
BuildRequires: gcc
BuildRequires: httpd-devel

%description
Mod_Auth_External can be used to quickly construct secure, reliable
authentication systems.  It can also be misused to quickly open gaping
holes in your security.  Read the documentation, and use with extreme
caution.


%prep
%setup -q -n mod-auth-external-%{name}-%{version}

%build
%{_httpd_apxs} -c -I . %{name}.c


%install
mkdir -p %{buildroot}%{_httpd_moddir} %{buildroot}%{_httpd_confdir} \
         %{buildroot}%{_httpd_modconfdir}
apxs -i -S LIBEXECDIR=%{buildroot}%{_httpd_moddir} -n %{name} %{name}.la
install -p -m 644 -t %{buildroot}%{_httpd_confdir}/ %{SOURCE1}
%if "%{_httpd_modconfdir}" != "%{_httpd_confdir}"
install -p -m 644 -t %{buildroot}%{_httpd_modconfdir}/ %{SOURCE2}
%endif


%files
%{_httpd_moddir}/%{name}.so
%config(noreplace) %lang(en) %{_httpd_confdir}/%{conffile}
%if "%{_httpd_modconfdir}" != "%{_httpd_confdir}"
%config(noreplace) %lang(en) %{_httpd_modconfdir}/%{conffile2}
%endif
%doc AUTHENTICATORS CHANGES README TODO UPGRADE


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.3-1
- initial build
